Subject: Re: bug#73304: Python in relocatable guix pack leads to wrong sys.path

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 01 Feb 2025 01:04:09 +0900

Hi Konrad,

Konrad Hinsen <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> The workaround looks smart (too smart for my tired brain tonight), but
>> to be honest I'd rather have Python handle the relative paths correctly,
>> or work around it in our sitecustomize.py script that runs early when
>
> That's indeed preferable, but according to my analysis not possible, as
> there are situations of faulty startup behavior in which out
> sitecustomize.py is not run at all.

I think I had read this from you before but I hadn't grasped how that's
possible/when it occurs.  Do yo have a link, or refresher?

> What we can envisage is a combination of
>  1. patching Python
>  2. using realpath rather than normpath in our sitecustomize.py

I hope we could get by with just 2.

-- 
Thanks,
Maxim